%define ff_epoch 0
%define ff_ver 2.0.0.13
%define realname downthemall

%define _mozillapath %{_libdir}/firefox-%{ff_ver}
%define _mozillaextpath %{_mozillapath}/extensions

%define rel 2

Summary: DownThemAll! extension for firefox
Name: mozilla-firefox-ext-%{realname}
Version: 1.0
Release: %mkrel %rel
License: MPL1.1 or GPLv2+ or LGPLv2+
Group: Networking/WWW
URL: http://www.downthemall.net
Source: http://code.downthemall.net/releases/%{realname}-%{version}.xpi
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: mozilla-firefox = %{ff_epoch}:%{ff_ver}

%description
DownThemAll (or just dTa) is a powerful yet easy-to-use Mozilla Firefox
extension that adds new advanced download capabilities to your browser.

DownThemAll lets you download all the links or images contained in a
webpage and much more: you can refine your downloads by fully
customizable criteria to get only what you really want.

%prep
%setup -q -c -n %{name}-%{version}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_mozillaextpath}

hash="$(sed -n '/.*id="\(.*\)"/{s//\1/p;q}' install.rdf)"
if [ -z "$hash" ]; then
    hash="$(sed -n '/.*id>\(.*\)<\/id>.*/{s//\1/p;q}' install.rdf)"
fi
if [ -z "$hash" ]; then
    echo "Failed to find plugin hash."
    exit 1
fi
extdir="%{_mozillaextpath}/$hash"
mkdir -p "%{buildroot}$extdir"
cp -af * "%{buildroot}$extdir/"

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%dir %_mozillapath
%{_mozillaextpath}


%changelog
* Wed Mar 26 2008 Tiago Salem <salem@mandriva.com.br> 1.0-2mdv2008.1
+ Revision: 190328
- bump ff_ver and release

* Sat Mar 01 2008 Funda Wang <fundawang@mandriva.org> 1.0-1mdv2008.1
+ Revision: 177075
- New version 1.0

* Sat Feb 09 2008 Funda Wang <fundawang@mandriva.org> 1.0-0.b2.4mdv2008.1
+ Revision: 164603
- Clearify the license
- rebuild for new FF

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0-0.b2.3mdv2008.1
+ Revision: 117791
- own firefox directories so that they're not left behind on uninstall

* Wed Dec 12 2007 Funda Wang <fundawang@mandriva.org> 1.0-0.b2.2mdv2008.1
+ Revision: 117621
- Rebuild for new ff

* Sun Nov 18 2007 Funda Wang <fundawang@mandriva.org> 1.0-0.b2.1mdv2008.1
+ Revision: 109789
- import SOURCE and SPEC
- Created package structure for mozilla-firefox-ext-downloadthemall.

